Update video thumbnail
/videos/{videoId}/thumbnailUpdate the thumbnail image for an existing video
Authorization
Bearer Type "Bearer" followed by a space and JWT token.
In: header
Path Parameters
Video ID
Request Body
multipart/form-data{
"thumbnail": "string"
}Thumbnail image file (max 5MB, image/*)
Response Body
200application/json
Video with updated thumbnail
type: object
400application/json
Invalid file or request
type: object
HTTP status code
Optional details about the error
Error message describing what went wrong
401application/json
Unauthorized
type: object
HTTP status code
Optional details about the error
Error message describing what went wrong
403application/json
Access denied
type: object
HTTP status code
Optional details about the error
Error message describing what went wrong
404application/json
Video not found
type: object
HTTP status code
Optional details about the error
Error message describing what went wrong
500application/json
Upload or update failed
type: object
HTTP status code
Optional details about the error
Error message describing what went wrong
curl -X PUT "https://api.rixl.com/videos/string/thumbnail" \
-F thumbnail="string"const body = new FormData();
body.set(thumbnail, "string")
fetch("https://api.rixl.com/videos/string/thumbnail", {
method: "PUT",
headers: {
"Content-Type": "multipart/form-data"
},
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"mime/multipart"
"bytes"
)
func main() {
url := "https://api.rixl.com/videos/string/thumbnail"
body := new(bytes.Buffer)
mp := multipart.NewWriter(payload)
mp.WriteField("thumbnail", `string`)
req, _ := http.NewRequest("PUT", url, body)
req.Header.Add("Content-Type", "multipart/form-data")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://api.rixl.com/videos/string/thumbnail"
body = {
"thumbnail": "string"
}
response = requests.request("PUT", url, data = body, headers = {
"Content-Type": "multipart/form-data"
})
print(response.text)import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;
import java.net.http.HttpRequest.BodyPublishers;
var body = BodyPublishers.ofByteArray(new byte[] { ... });
HttpClient client = HttpClient.newBuilder()
.connectTimeout(Duration.ofSeconds(10))
.build();
HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
.uri(URI.create("https://api.rixl.com/videos/string/thumbnail"))
.header("Content-Type", "multipart/form-data")
.PUT(body)
.build();
try {
HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
System.out.println("Status code: " + response.statusCode());
System.out.println("Response body: " + response.body());
} catch (Exception e) {
e.printStackTrace();
}using System;
using System.Net.Http;
using System.Text;
var body = new MultipartFormDataContent();
var client = new HttpClient();
var response = await client.PutAsync("https://api.rixl.com/videos/string/thumbnail", body);
var responseBody = await response.Content.ReadAsStringAsync();Video with updated thumbnail
application/json
{
"bitrate": 0,
"chapters": [
{
"duration_label": "02:25",
"end_time_sec": 145,
"start_time_sec": 0,
"title": "Introduction"
}
],
"codec": "string",
"duration": 0,
"file": {
"created_at": "2025-01-01T00:00:00Z",
"format": "avif",
"id": "FpvLwyDMqu",
"name": "original.jpeg",
"project_id": "Bq4y3QB38S",
"size": 1048576,
"status": "ready",
"updated_at": "2025-01-01T00:00:00Z",
"url": "https://images.rixl.com/Bq4y3QB38S/FpvLwyDMqu"
},
"framerate": "string",
"hdr": true,
"height": 0,
"id": "string",
"plan_type": "free",
"poster": {
"attached_to_video": false,
"file": {
"created_at": "2025-01-01T00:00:00Z",
"format": "avif",
"id": "FpvLwyDMqu",
"name": "original.jpeg",
"project_id": "Bq4y3QB38S",
"size": 1048576,
"status": "ready",
"updated_at": "2025-01-01T00:00:00Z",
"url": "https://images.rixl.com/Bq4y3QB38S/FpvLwyDMqu"
},
"height": 1080,
"id": "PS5IMKoFLm",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
"width": 1920
},
"width": 0
}Invalid file or request
application/json
{
"code": 400,
"details": "The provided ID is not valid",
"error": "Invalid file or request"
}Unauthorized
application/json
{
"code": 401,
"details": "The provided ID is not valid",
"error": "Unauthorized"
}Access denied
application/json
{
"code": 403,
"details": "The provided ID is not valid",
"error": "Access denied"
}Video not found
application/json
{
"code": 404,
"details": "The provided ID is not valid",
"error": "Video not found"
}Upload or update failed
application/json
{
"code": 500,
"details": "The provided ID is not valid",
"error": "Upload or update failed"
}